﻿.floatdialog-container {
        
    border: 1px solid;
    border-radius: 4px;
    position: fixed;
    top: 6%;
    right: 1%;
    z-index: 9999;
    min-width: 250px;
    max-width: 500px;
    padding: 20px 20px 10px 20px;
    margin: 20px;
    box-sizing: border-box;
    box-shadow: 2px 1px 11px -1px rgba(92, 88, 88, 0.3);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 0.3s, opacity 0.3s linear;
}


@media screen and (max-width: 900px) {
         
    .floatdialog-container {
        top: 100px;
        right: 10px;
        max-width: 300px;
    }
}

@media screen and (max-width: 600px) {
         
    .floatdialog-container {
        top: 50px;
        right: 10px;
        max-width: 180px;
    }
}
    


    .floatdialog-container.show {
        visibility: visible;
        opacity: 1;
        transition: opacity 0.3s linear;
    }

    .floatdialog-container.error {
        border-color:  #f5c6cb;
        background-color: #f8d7da;
        color: #721c24;
    }

    .floatdialog-container.success {
        border-color:  #c3e6cb;
        background-color: #d4edda;
        color: #155724;
    }

    .floatdialog-container.info {
        border-color:  #ffeeba;
        background-color: #fff3cd;
        color: #856404;
    }

.floatdialog-container .msg {
    margin-right: 15px;
    order:1;
}

    .floatdialog-container .close {
            font-size: 24px;
            text-align: right;
            opacity: 0.7;
            width: 20px;
            order: 2;
            position: relative;
            top: -24px;
            right: -9px;
            padding: 0;
            margin: 0;
    }
        .floatdialog-container .close:hover {
            opacity: 1;
            cursor:pointer;
        }